Get Infra Policies

Get Infra Policies
Get a paginated list of infra policies.

Retrieves a list of infra policies.

Request
URI
GET
https://{api_host}/cloudapi/v1/infraPolicies
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
sortAsc
Optional

Field to use for ascending sort

string
sortDesc
Optional

Field to use for descending sort

integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

Paginated list of infra policies.

Returns InfraPolicies of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineInfraPolicies1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "id": "string",
            "name": "string",
            "description": "string",
            "vcComputePolicyName": "string",
            "isMandatory": false,
            "policyRule": {
                "operator": "string",
                "rules": [
                    {
                        "operator": "string",
                        "rules": [
                            "PolicyRule Object"
                        ],
                        "workloadPolicyRule": {
                            "guestOsRule": {
                                "operator": "string",
                                "value": "string"
                            },
                            "guestOsFamilyRule": {
                                "operator": "string",
                                "value": "string"
                            },
                            "labelSelectorRules": [
                                {
                                    "operator": "string",
                                    "ruleKey": "string",
                                    "values": [
                                        "string"
                                    ]
                                }
                            ]
                        }
                    }
                ],
                "workloadPolicyRule": {
                    "guestOsRule": {
                        "operator": "string",
                        "value": "string"
                    },
                    "guestOsFamilyRule": {
                        "operator": "string",
                        "value": "string"
                    },
                    "labelSelectorRules": [
                        {
                            "operator": "string",
                            "ruleKey": "string",
                            "values": [
                                "string"
                            ]
                        }
                    ]
                }
            },
            "compatibleRegionZones": [
                {
                    "region": {
                        "name": "string",
                        "id": "string"
                    },
                    "zones": [
                        {
                            "name": "string",
                            "id": "string"
                        }
                    ]
                }
            ],
            "creationStatus": "string",
            "creationTime": "string",
            "syncedToVCenters": false
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/infraPolicies?page=value&pageSize=v